Name:           postscriptbarcode
Version:        20141229
Release:        9%{?dist}
Summary:        Barcode Writer in Pure PostScript

License:        MIT
URL:            https://github.com/bwipp/postscriptbarcode 
Source0:        https://github.com/bwipp/postscriptbarcode/archive/2014-12-29.tar.gz

BuildArch:      noarch
BuildRequires:  ghostscript
BuildRequires:  perl-interpreter

# Required by build/make_resource
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(strict)

%description
Barcode Writer in Pure Postscript generates all barcode formats entirely
within PostScript so that the process of converting the input data into
the printed output can be performed by the printer or RIP itself. This is
ideal for variable data printing (VDP) and avoids the need to re-implement
the barcode generation process whenever your language needs change.



%prep
%setup -q -n postscriptbarcode-2014-12-29

%build
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -p build/monolithic_package/barcode.ps %{buildroot}%{_datadir}/%{name}/barcode.ps

%check
make test

%files
%doc CHANGES README.md docs/
%license LICENSE
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/barcode.ps

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20141229-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 20141229-8
- Escape macros in %%changelog

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20141229-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20141229-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20141229-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Mar 21 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 20141229-4
- Add BR perl(File::Temp), perl(File::Basename), perl(strict)
  (F24FTBFS, RHBZ#1307873).
- Use %%{?_smp_mflags}.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 20141229-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20141229-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 26 2014 Mario Blättermann <mariobl@fedoraproject.org> - 20141229-1
- New upstream release
- Use the %%license macro

* Thu Jun 26 2014 Mario Blättermann <mariobl@fedoraproject.org> - 20140620-1
- New upstream release
- Build from low-level source instead of monolithic file
- New upstream URL

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20140107-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 08 2014 Mario Blättermann <mariobl@fedoraproject.org> - 20140107-1
- New upstream release

* Thu Oct 31 2013 Mario Blättermann <mariobl@fedoraproject.org> - 20131006-2
- Add folder ownership for %%{_datadir}/%%{name}/

* Wed Oct 23 2013 Mario Blättermann <mariobl@fedoraproject.org> - 20131006-1
- New upstream version
- Permanent download link instead of Google Drive

* Tue Sep 03 2013 Mario Blättermann <mariobl@fedoraproject.org> - 20130603-2
- Renamed to postscriptbarcode
- Build from sources instead of copying the single Postscript file

* Sun Sep 01 2013 Mario Blättermann <mariobl@fedoraproject.org> - 20130603-1
- Initial package
